ReferenceElements.h File Reference
`#include "Finley.h"`
`#include "ShapeFunctions.h"`
`#include "Quadrature.h"`

Go to the source code of this file.

## Classes

struct | finley::ReferenceElementInfo
| this struct holds the definition of the reference element More...
struct | finley::ReferenceElement
| this struct holds the realization of a reference element More...

## Namespaces

| finley
| A suite of factory methods for creating various finley domains.

## Macros

#define | MAX_numNodes 64
#define | MAX_numSubElements 8
#define | MAX_numSides 2

## Typedefs

typedef boost::shared_ptr< ReferenceElement > | finley::ReferenceElement_ptr
typedef boost::shared_ptr< const ReferenceElement > | finley::const_ReferenceElement_ptr

## Enumerations

enum

finley::ElementTypeId {
finley::Point1, finley::Line2, finley::Line3, finley::Line4,
finley::Tri3, finley::Tri6, finley::Tri9, finley::Tri10,
finley::Rec4, finley::Rec8, finley::Rec9, finley::Rec12,
finley::Rec16, finley::Tet4, finley::Tet10, finley::Tet16,
finley::Hex8, finley::Hex20, finley::Hex27, finley::Hex32,
finley::Line2Face, finley::Line3Face, finley::Line4Face, finley::Tri3Face,
finley::Tri6Face, finley::Tri9Face, finley::Tri10Face, finley::Rec4Face,
finley::Rec8Face, finley::Rec9Face, finley::Rec12Face, finley::Rec16Face,
finley::Tet4Face, finley::Tet10Face, finley::Tet16Face, finley::Hex8Face,
finley::Hex20Face, finley::Hex27Face, finley::Hex32Face, finley::Point1_Contact,
finley::Line2_Contact, finley::Line3_Contact, finley::Line4_Contact, finley::Tri3_Contact,
finley::Tri6_Contact, finley::Tri9_Contact, finley::Tri10_Contact, finley::Rec4_Contact,
finley::Rec8_Contact, finley::Rec9_Contact, finley::Rec12_Contact, finley::Rec16_Contact,
finley::Line2Face_Contact, finley::Line3Face_Contact, finley::Line4Face_Contact, finley::Tri3Face_Contact,
finley::Tri6Face_Contact, finley::Tri9Face_Contact, finley::Tri10Face_Contact, finley::Rec4Face_Contact,
finley::Rec8Face_Contact, finley::Rec9Face_Contact, finley::Rec12Face_Contact, finley::Rec16Face_Contact,
finley::Tet4Face_Contact, finley::Tet10Face_Contact, finley::Tet16Face_Contact, finley::Hex8Face_Contact,
finley::Hex20Face_Contact, finley::Hex27Face_Contact, finley::Hex32Face_Contact, finley::Line3Macro,
finley::Tri6Macro, finley::Rec9Macro, finley::Tet10Macro, finley::Hex27Macro,
finley::NoRef
}

## Macro Definition Documentation

## MAX_numNodes

#define MAX_numNodes 64

## MAX_numSides

#define MAX_numSides 2

## MAX_numSubElements

#define MAX_numSubElements 8